> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# Get details of a specific system node

GET https://api.dsx-air.nvidia.com/api/v3/systems/nodes/{id}/

Retrieve the system node's details.

Reference: https://docs.nvidia.com/dsx-air/api-reference/systems/api-v-3-systems-nodes-retrieve

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — A UUID string identifying this template node.

## Response

### 200

- `id` (string, required)
- `created` (datetime, required)
- `modified` (datetime, required)
- `name` (string, required)
- `image` (string, required) — The image representing the operating system of the node.
- `simulation` (string, optional, nullable) — The simulation which owns the template node. If null, the template node will be globally available.
- `memory` (integer, optional) — RAM, in MiB.
- `storage` (integer, optional) — Disk space, in GB.
- `cpu` (integer, optional) — Number of CPU cores.
- `category` (enum or enum, optional) — The Air specific category the node belongs to. * `` - None * `SERVER` - Server * `SWITCH` - Switch * `OOB_SERVER` - OOB Management Server * `OOB_SWITCH` - OOB Management Switch
- `labels` (object, optional) — Labels associated with the system node.
  - `group` (string, optional) — The group of the node.
  - `model` (string, optional) — The model of the node.
  - `sku` (string, optional) — The SKU of the node.
  - `rack_name` (string, optional) — The name of the rack the node is part of.
  - `rack_unit` (integer, optional) — The unit number within a rack for the node.
  - `scalable_unit` (integer, optional) — The scalable unit number that the node belongs to.
  - `rail_index` (integer, optional) — The rail index that the node belongs to.
  - `data_hall` (string, optional) — The name of the data hall that the node is part of.
  - `tray_index` (integer, optional) — The tray index of the node.
  - `role` (string, optional) — The role of the node, e.g. leaf.
  - `pod` (integer, optional) — The pod number that the node belongs to.
  - `superspine_group` (integer, optional) — The superspine group number that the node belongs to.
  - `plane_id` (integer, optional) — Plane identifier in a multi-plane fabric.
- `split_options` (any, optional, nullable) — A list of possible split options for interfaces for this node

## Errors

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 404 Not Found Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `detail` (string, optional, default: No object matches the given query.) — Description of an error.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "id": "string",
  "created": "2024-01-15T09:30:00Z",
  "modified": "2024-01-15T09:30:00Z",
  "name": "string",
  "image": "string",
  "simulation": "string",
  "memory": 1,
  "storage": 1,
  "cpu": 1,
  "category": "SERVER",
  "labels": {
    "group": "string",
    "model": "string",
    "sku": "string",
    "rack_name": "string",
    "rack_unit": 1,
    "scalable_unit": 1,
    "rail_index": 1,
    "data_hall": "string",
    "tray_index": 1,
    "role": "string",
    "pod": 1,
    "superspine_group": 1,
    "plane_id": 1
  },
  "split_options": null
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/systems/nodes/id/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/systems/nodes/id/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/systems/nodes/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/systems/nodes/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/systems/nodes/id/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/systems/nodes/id/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/systems/nodes/id/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/systems/nodes/id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```